@import '../../../../../../assets/sass/scss/variables';

.pace .pace-activity {
    top: 19px;
    right: 19px;
    display: none;
}
.lds-ripple {
    display: inline-block;
    position: relative;
    width: 64px;
    height: 64px;
}
.lds-ripple div {
    position: absolute;
    border: 4px solid $primary;
    opacity: 1;
    border-radius: 50%;
    animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
.lds-ripple div:nth-child(2) {
    animation-delay: -0.5s;
}
@keyframes lds-ripple {
    0% {
        top: 28px;
        left: 28px;
        width: 0;
        height: 0;
        opacity: 1;
    }
    100% {
        top: -1px;
        left: -1px;
        width: 58px;
        height: 58px;
        opacity: 0;
    }
}
@keyframes loading {
    0% {
        max-width: 0;
    }
}
.map-loading {
    overflow: hidden;
    background: rgba(250, 250, 250, 0.85);
    opacity: 0;
    transition: opacity 1s ease-in-out, z-index 1s ease-in-out;
    z-index: -1;
    width: 100%;
    height: 100%;
}
.loading-icon {
    position: relative;
    margin: auto;
    top: calc(50% - 32px);
    display: block;
}
.map-loading {
    opacity: 1;
    z-index: 9999;
}
.back {
    z-index: 0;
}

@keyframes bounce {
    from {
        opacity: 1;
        transform: translateY(0);
    }

    to {
        opacity: 0.1;
        transform: translateY(-20px);
    }
}